VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR:
[legend]

## Public Member Functions

| operator VkDeviceGroupPresentCapabilitiesKHR const & () const
| operator VkDeviceGroupPresentCapabilitiesKHR & ()
bool | operator== (DeviceGroupPresentCapabilitiesKHR const &rhs) const
bool | operator!= (DeviceGroupPresentCapabilitiesKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | presentMask [VK_MAX_DEVICE_GROUP_SIZE]
DeviceGroupPresentModeFlagsKHR | modes

## Private Attributes

StructureType | sType = StructureType::eDeviceGroupPresentCapabilitiesKHR

## Detailed Description

Definition at line 34084 of file vulkan.hpp.

## Member Function Documentation

## operator VkDeviceGroupPresentCapabilitiesKHR &()

VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::operator VkDeviceGroupPresentCapabilitiesKHR & | ( |  | ) |

inline

Definition at line 34091 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceGroupPresentCapabilitiesKHR*>(this);
}

## operator VkDeviceGroupPresentCapabilitiesKHR const &()

VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::operator VkDeviceGroupPresentCapabilitiesKHR const & | ( |  | ) | const

inline

Definition at line 34086 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceGroupPresentCapabilitiesKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::operator!= | ( | DeviceGroupPresentCapabilitiesKHR const & | rhs | ) | const

inline

Definition at line 34104 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::operator== | ( | DeviceGroupPresentCapabilitiesKHR const & | rhs | ) | const

inline

Definition at line 34096 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( memcmp( presentMask, rhs.presentMask, VK_MAX_DEVICE_GROUP_SIZE * sizeof( uint32_t ) ) == 0 )
&& ( modes == rhs.modes );
}

References modes, pNext, presentMask, sType, and VK_MAX_DEVICE_GROUP_SIZE.

Referenced by operator!=().

## Field Documentation

## modes

DeviceGroupPresentModeFlagsKHR VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::modes

Definition at line 34115 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::pNext = nullptr

Definition at line 34113 of file vulkan.hpp.

Referenced by operator==().

## presentMask

uint32_t VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::presentMask[VK_MAX_DEVICE_GROUP_SIZE]

Definition at line 34114 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::sType = StructureType::eDeviceGroupPresentCapabilitiesKHR

private

Definition at line 34110 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkDeviceGroupPresentCapabilitiesKHR
Definition: vulkan_core.h:4865
VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::pNext
const void * pNext
Definition: vulkan.hpp:34113
VK_MAX_DEVICE_GROUP_SIZE
#define VK_MAX_DEVICE_GROUP_SIZE
Definition: vulkan_core.h:3795
VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::operator==
bool operator==(DeviceGroupPresentCapabilitiesKHR const &rhs) const
Definition: vulkan.hpp:34096
VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::modes
DeviceGroupPresentModeFlagsKHR modes
Definition: vulkan.hpp:34115
VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::sType
StructureType sType
Definition: vulkan.hpp:34110
uint32_t
unsigned int uint32_t
Definition: SDL_config_windows.h:63
VULKAN_HPP_NAMESPACE::DeviceGroupPresentCapabilitiesKHR::presentMask
uint32_t presentMask[VK_MAX_DEVICE_GROUP_SIZE]
Definition: vulkan.hpp:34114